Package com.google.earth.kml._2

# Class UpdateType

java.lang.Object
com.google.earth.kml._2.UpdateType

public class UpdateType extends Object
<p>Java class for UpdateType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="UpdateType"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="targetHref" type="{http://www.w3.org/2001/XMLSchema}anyURI"/> <choice maxOccurs="unbounded"> <element name="Create" type="{http://earth.google.com/kml/2.1}CreateType" minOccurs="0"/> <element name="Delete" type="{http://earth.google.com/kml/2.1}DeleteType" minOccurs="0"/> <element name="Change" type="{http://earth.google.com/kml/2.1}ChangeType" minOccurs="0"/> <element name="Replace" type="{http://earth.google.com/kml/2.1}ReplaceType" minOccurs="0"/> </choice> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Object>`
  `createOrDeleteOrChange`
  `protected String`
  `targetHref`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Object>`
  `getCreateOrDeleteOrChange()`
  Gets the value of the createOrDeleteOrChange property.
  `String`
  `getTargetHref()`
  Gets the value of the targetHref property.
  `void`
  `setTargetHref(String value)`
  Sets the value of the targetHref property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### targetHref

    protected String targetHref

  - ### createOrDeleteOrChange

    protected List<Object> createOrDeleteOrChange

- ## Constructor Details

  - ### UpdateType

    public UpdateType()

- ## Method Details

  - ### getTargetHref

    public String getTargetHref()
    Gets the value of the targetHref property.
    Returns:
      possible object is `String`

  - ### setTargetHref

    public void setTargetHref(String value)
    Sets the value of the targetHref property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCreateOrDeleteOrChange

    public List<Object> getCreateOrDeleteOrChange()
    Gets the value of the createOrDeleteOrChange property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the createOrDeleteOrChange property.

    For example, to add a new item, do as follows:

         getCreateOrDeleteOrChange().add(newItem);

    Objects of the following type(s) are allowed in the list `ChangeType` `CreateType` `DeleteType` `ReplaceType`

    Returns:
      The value of the createOrDeleteOrChange property.